#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 15. Networking Programs

- Prev

  ntp-4.2.8p15

- Next

  rsync-3.2.3

- Up
- Home

# rpcbind-1.2.5

## Introduction to rpcbind

The rpcbind program is a replacement for portmap. It is required for import or export of Network File System (NFS) shared directories.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/rpcbind/rpcbind-1.2.5.tar.bz2

- Download MD5 sum: ed46f09b9c0fa2d49015f6431bc5ea7b

- Download size: 124 KB

- Estimated disk space required: 1.7 MB

- Estimated build time: less than 0.1 SBU

### Additional Downloads

- Required patch: http://www.linuxfromscratch.org/patches/blfs/10.1/rpcbind-1.2.5-vulnerability_fixes-1.patch

### rpcbind Dependencies

#### Required

libtirpc-1.3.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/rpcbind

## Installation of rpcbind

There should be a dedicated user and group to take control of the rpcbind daemon after it is started. Issue the following commands as the `root` user:

    groupadd -g 28 rpc &&
    useradd -c "RPC Bind Daemon Owner" -d /dev/null -g rpc \
            -s /bin/false -u 28 rpc

In order to get rpcbind to work properly, first fix the package to use correct service name:

    sed -i "/servname/s:rpcbind:sunrpc:" src/rpcbind.c

Install rpcbind by running the following commands:

    patch -Np1 -i ../rpcbind-1.2.5-vulnerability_fixes-1.patch &&

    ./configure --prefix=/usr       \
                --bindir=/sbin      \
                --sbindir=/sbin     \
                --enable-warmstarts \
                --with-rpcuser=rpc  &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--with-rpcuser=rpc`: This switch is used so the rpcbind daemon will run as an unprivileged user instead of the `root` user.

## Configuring rpcbind

###

#### Systemd Unit

Install the `rpcbind.service` unit included in the blfs-systemd-units-20210122 package.

    make install-rpcbind

## Contents

Installed Program: rpcbind and rpcinfo
Installed Libraries: None
Installed Directories: None

### Short Descriptions

rpcbind | is a server that converts RPC program numbers into universal addresses. It must be running on the host to be able to make RPC calls on a server on that machine
rpcinfo | makes an RPC call to an RPC server and reports data according to the requested options

Last updated on 2021-02-19 11:32:42 -0800

- Prev

  ntp-4.2.8p15

- Next

  rsync-3.2.3

- Up
- Home